Subject: Re: [patch 2/3] drivers/net/ns83820.c: add paramter to disable autonegotiation

From: Benjamin LaHaise <[email-masked]>
Date: Mon, 26 Jun 2006 12:29:28 -0400

On Sun, Jun 25, 2006 at 01:44:36AM -0700, [email-masked] wrote:
> 
> From: Dan Faerch <[email-masked]>
> 
> Adds "ethtool command" support to driver.  Initially 2 commands are
> implemented: force fullduplex and toggle autoneg.

This part is good, although doing something for copper cards needs doing, 
which probably means poking around to support the phy properly.

> Also added a "disable_autoneg" module argument to completely disable
> autoneg on all cards using this driver.

This is the part I disagree with.  Are you sure it isn't a bug in the 
link autonegotiation state machine for fibre cards?  It should be defaulting 
to 1Gbit/full duplex if no autonegotiation is happening, and if it isn't 
then that should be fixed instead of papering over things with a config 
option.

		-ben
-- 
"Time is of no importance, Mr. President, only life is important."
Don't Email: <[email-masked]>.